text-1.2.2.0: An efficient packed Unicode text type.

Copyright | (c) The University of Glasgow 1994-2002
License | see libraries/base/LICENSE
Safe Haskell | Trustworthy
Language | Haskell98

Data.Text.Lazy.Builder.RealFloat

Description

Write a floating point value to a `Builder`.

Synopsis

- data FPFormat
  - = Exponent
  - | Fixed
  - | Generic
- realFloat :: RealFloat a => a -> Builder
- formatRealFloat :: RealFloat a => FPFormat -> Maybe Int -> a -> Builder

# Documentation

data FPFormat Source

Control the rendering of floating point numbers.

Constructors

Exponent | Scientific notation (e.g. `2.3e123`).
Fixed | Standard decimal notation.
Generic | Use decimal notation for values between `0.1` and `9,999,999`, and scientific notation otherwise.

Instances

Enum FPFormat Source |
Read FPFormat Source |
Show FPFormat Source |

realFloat :: RealFloat a => a -> Builder Source

Show a signed `RealFloat` value to full precision, using standard decimal notation for arguments whose absolute value lies between `0.1` and `9,999,999`, and scientific notation otherwise.

formatRealFloat Source

Arguments

:: RealFloat a |
=> FPFormat |
-> Maybe Int | Number of decimal places to render.
-> a |
-> Builder |